BopbeeHelp Center

Domains API

Manage custom domains on upload projects.

API access requires a Pro or Studio plan. Custom domains on upload projects require Solo or higher (included on Pro and Studio).

List domains

curl https://api.bopbee.com/v1/projects/PROJECT_ID/domains \
  -H "Authorization: Bearer bb_live_your_key"

Add domain

curl -X POST https://api.bopbee.com/v1/projects/PROJECT_ID/domains \
  -H "Authorization: Bearer bb_live_your_key" \
  -H "Content-Type: application/json" \
  -d '{"hostname":"www.example.com","type":"route","environment_id":"prod"}'

DNS verification still happens in the web app or via future verify endpoints.

Remove domain

curl -X DELETE https://api.bopbee.com/v1/projects/PROJECT_ID/domains/DOMAIN_ID \
  -H "Authorization: Bearer bb_live_your_key"

On this page